Skip to main content

Create Calendar Resource Equipment

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.create_calendar_resource_equipment

Create a calendar equipment resource

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-create-calendar-resource-equipment-example",
"method": "tools/call",
"params": {
"name": "ghl.create_calendar_resource_equipment",
"arguments": {
"name": "name_example",
"description": "",
"quantity": 1,
"outOfService": 1,
"capacity": 1,
"calendarIds": [],
"tenantId": "tenantId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"name": {
"type": "string"
},
"quantity": {
"type": "number"
},
"outOfService": {
"type": "number"
},
"capacity": {
"type": "number"
},
"calendarIds": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"name",
"description",
"quantity",
"outOfService",
"capacity",
"calendarIds"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-create-calendar-resource-equipment-example",
"method": "tools/call",
"params": {
"name": "ghl.create_calendar_resource_equipment",
"arguments": {
"name": "name_example",
"description": "",
"quantity": 1,
"outOfService": 1,
"capacity": 1,
"calendarIds": [],
"tenantId": "tenantId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.create_calendar_resource_equipment executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}